Name:             mimepull
Version:          1.9.5
Release:          2%{?dist}
Summary:          Streaming API to access attachments from a MIME message
License:          CDDL and GPLv2 with exceptions
URL:              http://mimepull.java.net

# svn export https://svn.java.net/svn/mimepull~svn/tags/mimepull-1.9.5/ mimepull-1.9.5
# tar cafJ mimepull-1.9.5.tar.xz mimepull-1.9.5
Source0:          mimepull-%{version}.tar.xz

BuildArch:        noarch
BuildRequires:    maven-local
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(net.java:jvnet-parent:pom:)
BuildRequires:    mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:    mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:    mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires:    mvn(org.codehaus.mojo:buildnumber-maven-plugin)
BuildRequires:    mvn(org.tmatesoft.svnkit:svnkit)

%description
Provides a streaming API to access attachments parts in a MIME message

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

# Unavailable plugins
%pom_remove_plugin :cobertura-maven-plugin
%pom_remove_plugin :findbugs-maven-plugin
%pom_remove_plugin :glassfish-copyright-maven-plugin
# Unneeded plugins
%pom_remove_plugin :maven-assembly-plugin
%pom_remove_plugin :maven-deploy-plugin
%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :maven-source-plugin

iconv -f iso8859-1 -t utf-8 LICENSE > LICENSE.conv && mv -f LICENSE.conv LICENSE
sed -i 's/\r//' LICENSE

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jun 09 2015 gil cattaneo <puntogil@libero.it> 1.9.5-1
- update to 1.9.5
- use mvn()-like BRs
- minor changes for adapt to current guideline

* Wed Jul 02 2014 Marek Goldmann <mgoldman@redhat.com> - 1.8-9
- Switch to xmvn

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.8-7
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.8-4
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Wed Oct 24 2012 Marek Goldmann <mgoldman@redhat.com> - 1.8-3
- Added maven-enforcer-plugin BR

* Wed Oct 24 2012 Marek Goldmann <mgoldman@redhat.com> - 1.8-2
- Fixed encoding in LICENSE file
- Added missing BR

* Tue Oct 23 2012 Marek Goldmann <mgoldman@redhat.com> - 1.8-1
- Initial packaging


